package com.ruoyi.project.zjsgfa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 设计-分段施工措施_特殊工具对象 sj_fdsgcs_tsgj
 * 
 * @author ruoyi
 * @date 2025-08-06
 */
public class SjFdsgcsTsgj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    /** 工具名称 */
    @Excel(name = "工具名称")
    private String gjmc;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String ggxh;

    /** 数量 */
    @Excel(name = "数量")
    private Double sl;

    /** 性能指标 */
    @Excel(name = "性能指标")
    private String xnzb;

    /** 预计安装位置 */
    @Excel(name = "预计安装位置")
    private String yjazwz;

    /** 使用目的及预期效果目标 */
    @Excel(name = "使用目的及预期效果目标")
    private String yqxg;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setGjmc(String gjmc) 
    {
        this.gjmc = gjmc;
    }

    public String getGjmc() 
    {
        return gjmc;
    }

    public void setGgxh(String ggxh) 
    {
        this.ggxh = ggxh;
    }

    public String getGgxh() 
    {
        return ggxh;
    }

    public void setSl(Double sl) 
    {
        this.sl = sl;
    }

    public Double getSl() 
    {
        return sl;
    }

    public void setXnzb(String xnzb) 
    {
        this.xnzb = xnzb;
    }

    public String getXnzb() 
    {
        return xnzb;
    }

    public void setYjazwz(String yjazwz) 
    {
        this.yjazwz = yjazwz;
    }

    public String getYjazwz() 
    {
        return yjazwz;
    }

    public void setYqxg(String yqxg) 
    {
        this.yqxg = yqxg;
    }

    public String getYqxg() 
    {
        return yqxg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("kc", getKc())
            .append("gjmc", getGjmc())
            .append("ggxh", getGgxh())
            .append("sl", getSl())
            .append("xnzb", getXnzb())
            .append("yjazwz", getYjazwz())
            .append("yqxg", getYqxg())
            .toString();
    }
}
